#ifndef __RK4_H__INCLUDED
#define __RK4_H__INCLUDED

#include "Vector3.h"
class RK4 {
private:
public:
	//vpeB
	double dt = 0.01; //ԊԊu
	Vector3 r;   //ʒuxNg
	Vector3 v;   //xxNg
	Vector3 dr;  //ʒuxNg̕ω
	Vector3 dv;  //xxNg̕ω
	//RXgN^
	RK4() {
	
	
	}
	RK4(double _dt) {
		dt = _dt;
	}
	RK4(double _dt, Vector3& _r, Vector3& _v) {
		dt = _dt;
		r.copy(_r);
		v.copy(_v);
	}
	//fBXgN^
	virtual ~RK4(){}
	//xxNg^郁\bh
	virtual Vector3 A(double, Vector3&, Vector3&);
	//xxNg^郁\bh
	Vector3 V(double, Vector3&, Vector3&);
	//ԔWvZ郁\bh
	void timeEvolution(double t);
};

#endif // __RK4_H__INCLUDED